import { createSSRApp } from 'vue'
import App from './App.vue'
import 'uno.css'
import '@/app.scss'
import { setupRouterGuard } from '@/utils/routerGuard'

export function createApp() {
  const app = createSSRApp(App)

  // 初始化路由守卫
  setupRouterGuard()

  return {
    app
  }
}
